import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/priceMoitorRecord/` + url, ...arg)

/**
 * 价格监测-操作记录Api接口管理器
 *
 * @author hujinachun
 * @date  2024/04/11 19:08
 **/
export default {
	// 获取价格监测-操作记录分页
	priceMoitorRecordPage(data) {
		return request('page', data, 'get')
	},
	// 提交价格监测-操作记录表单 新增
	addFrom(data) {
		return request('add', data, 'post')
	},
	// 编辑
	editFrom(data) {
		return request('edit', data, 'post')
	},
	// 删除价格监测-操作记录
	deleteFrom(data) {
		return request('delete', data, 'post')
	},
	// 获取价格监测-操作记录详情
	detailFrom(data) {
		return request('fandDetail', data, 'get')
	}
}
